Addons linking problems on Ubuntu

I’m trying to compile some examples from ofxCv and ofxFacetracker on Linux, and we get always the same linking error:

/usr/bin/ld: cannot find -lopengl32
/usr/bin/ld: cannot find -lgdi32
/usr/bin/ld: cannot find -lmsimg32
/usr/bin/ld: cannot find -lglu32
/usr/bin/ld: cannot find -ldsound
/usr/bin/ld: cannot find -lwinmm
/usr/bin/ld: cannot find -ldxguid
/usr/bin/ld: cannot find -lstrmbase
/usr/bin/ld: cannot find -lstrmiids
/usr/bin/ld: cannot find -luuid
/usr/bin/ld: cannot find -lole32
/usr/bin/ld: cannot find -loleaut32
/usr/bin/ld: cannot find -lsetupapi
/usr/bin/ld: cannot find -lwsock32
/usr/bin/ld: cannot find -lws2_32
/usr/bin/ld: cannot find -lIphlpapi
/usr/bin/ld: cannot find -lComdlg32

which are all .lib files. I figure this happens because they are library for Windows.
Is there any work around that fix this problem?